org.apache.tomcat.util.bcel.classfile

## Class ConstantInterfaceMethodref

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Constant
  - - org.apache.tomcat.util.bcel.classfile.ConstantCP
    - - org.apache.tomcat.util.bcel.classfile.ConstantInterfaceMethodref

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantInterfaceMethodref
    extends ConstantCP

This class represents a constant pool reference to an interface method.

Author:
  M. Dahm
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.ConstantCP

`class_index, name_and_type_index`

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`tag`

### Method Summary

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.ConstantCP

`getClassIndex, getNameAndTypeIndex, toString`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`clone, equals, getTag, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`